import type { I卫星, I站点 } from './managers/HCesiumManager.types'; // 从 .types 文件导入

/**
 * 地面站状态接口
 * 包含地面站列表和当前选中的地面站 ID 列表
 */
export interface GroundStationState {
  /** 地面站配置数组 */
  groundStations: I站点[];
  /** 选中的地面站 ID 集合 */
  selectedIds: Set<string>;
}

/**
 * 卫星状态接口
 * 包含卫星列表和当前选中的卫星 ID 列表
 */
export interface SatelliteState {
  /** 卫星配置数组 */
  satellites: I卫星[];
  /** 选中的卫星 ID 集合 */
  selectedIds: Set<string>;
}
